[PATCH] xfs/126: Add a getxattr opeartion

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

 



It is design to reproduce a deadlock on upstream kernel. It is introduced
by kernel commit 07120f1abdff ("xfs: Add xfs_has_attr and subroutines").

Signed-off-by: Yang Xu <xuyang2018.jy@xxxxxxxxxxx>
---
 tests/xfs/126 | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/tests/xfs/126 b/tests/xfs/126
index c3a74b1c..9a77a60e 100755
--- a/tests/xfs/126
+++ b/tests/xfs/126
@@ -69,7 +69,7 @@ done
 
 echo "+ mount image && modify xattr"
 if _try_scratch_mount >> $seqres.full 2>&1; then
-
+	getfattr "${SCRATCH_MNT}/attrfile" -n "user.x00000000" 2> /dev/null || _fail "modified corrupt xattr"
 	setfattr -x "user.x00000000" "${SCRATCH_MNT}/attrfile" 2> /dev/null && _fail "modified corrupt xattr"
 	umount "${SCRATCH_MNT}"
 fi
-- 
2.23.0




[Index of Archives]     [XFS Filesystem Development (older mail)]     [Linux Filesystem Development]     [Linux Audio Users]     [Yosemite Trails]     [Linux Kernel]     [Linux RAID]     [Linux SCSI]


  Powered by Linux